Index: tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb
===================================================================
--- tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
+++ tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
@@ -0,0 +1,16 @@
+REMARK created by molecuilder on Fri May 12 22:19:11 2017, time step 0
+ATOM      1 C01 0non 01          9.375  10.442  10.000  0.00  0.00           C 0
+ATOM      2 C02 0non 01         10.625   9.558  10.000  0.00  0.00           C 0
+ATOM      3 H01 0non 01          9.375  11.071   9.110  0.00  0.00           H 0
+ATOM      4 H02 0non 01          9.375  11.071  10.890  0.00  0.00           H 0
+ATOM      5 H04 0non 01         10.625   8.929   9.110  0.00  0.00           H 0
+ATOM      6 H05 0non 01         10.625   8.929  10.890  0.00  0.00           H 0
+ATOM      7 H06 0non 01         11.515  10.188  10.000  0.00  0.00           H 0
+CONECT    1    2    3    4                                                      
+CONECT    2    1    5    6    7                                                 
+CONECT    3    1                                                                
+CONECT    4    1                                                                
+CONECT    5    2                                                                
+CONECT    6    2                                                                
+CONECT    7    2                                                                
+END
Index: tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb
===================================================================
--- tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
+++ tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
@@ -0,0 +1,18 @@
+REMARK created by molecuilder on Mon Jun 10 22:42:25 2013, time step 0
+ATOM      1 C01 0non 01          9.375  10.442  10.000  0.00  0.00           C 0
+ATOM      2 C02 0non 01         10.625   9.558  10.000  0.00  0.00           C 0
+ATOM      3 H01 0non 01          9.375  11.071   9.110  0.00  0.00           H 0
+ATOM      4 H02 0non 01          9.375  11.071  10.890  0.00  0.00           H 0
+ATOM      5 H03 0non 01          8.485   9.812  10.000  0.00  0.00           H 0
+ATOM      6 H04 0non 01         10.625   8.929   9.110  0.00  0.00           H 0
+ATOM      7 H05 0non 01         10.625   8.929  10.890  0.00  0.00           H 0
+ATOM      8 H06 0non 01         11.515  10.188  10.000  0.00  0.00           H 0
+CONECT    1    2    3    4    5                                                 
+CONECT    2    1    6    7    8                                                 
+CONECT    3    1                                                                
+CONECT    4    1                                                                
+CONECT    5    1                                                                
+CONECT    6    2                                                                
+CONECT    7    2                                                                
+CONECT    8    2                                                                
+END
Index: tests/regression/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
+++ tests/regression/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 6. (un)select atoms by name
+
+# select name by atomic number: 1, 4
+AT_SETUP([Selection - All atoms by specific name])
+AT_KEYWORDS([selection atom name select-atom-by-name])
+
+file=ethane-H5_missing.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-name H5 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms by specific name with Undo])
+AT_KEYWORDS([selection atom name select-atom-by-name undo])
+
+file=ethane.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-name H5 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Selection - All atoms by specific name with Redo])
+AT_KEYWORDS([selection atom name select-atom-by-name redo])
+
+file=ethane-H5_missing.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-name H5 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
+++ tests/regression/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at	(revision 3f6aac06d33e464dc0334c630276ee1638946e4d)
@@ -0,0 +1,72 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 5. (un)select atoms by element
+
+
+# select element by atomic number: 1, 4
+AT_SETUP([Unselection - All atoms with specific element by atomic number])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element undo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element redo])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
